Save a registry credential
PUT
/container/registry-credentials
const url = 'https://sylve.lan:8181/api/container/registry-credentials';const options = { method: 'PUT', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"password":"example","registry":"example","username":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://sylve.lan:8181/api/container/registry-credentials \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "password": "example", "registry": "example", "username": "example" }'Add or replace the login used to pull from a registry
Authorizations
Section titled “Authorizations”Request Body
Section titled “Request Body”Credential
Media typeapplication/json
object
password
required
string
registry
required
string
username
required
string
Examplegenerated
{ "password": "example", "registry": "example", "username": "example"}Responses
Section titled “Responses”Success
Media typeapplication/json
object
data
object
createdAt
string
id
integer
registry
string
updatedAt
string
username
string
error
string
message
string
status
string
Examplegenerated
{ "data": { "createdAt": "example", "id": 1, "registry": "example", "updatedAt": "example", "username": "example" }, "error": "example", "message": "example", "status": "example"}